FullWrtStruct Namespace Reference

a namespace use to define common structure in a FullWrite file More...

## Classes
struct | Border
| Internal: class to store a border which appear in docInfo. More...
struct | Entry
| the definition of a zone in a FullWrite file More...
struct | ZoneHeader
| a structure used to store the data of a zone header in a FullWrite file More...

## Typedefs
typedef std::shared_ptr< Entry > | EntryPtr

## Functions
bool | getColor (int color, MWAWColor &col)
| try to convert a file data to a color
std::string | getTypeName (int type)
| returns the type name
std::ostream & | operator<< (std::ostream &o, Border const &p)
std::ostream & | operator<< (std::ostream &o, Entry const &entry)
std::ostream & | operator<< (std::ostream &o, ZoneHeader const &dt)

## Detailed Description

a namespace use to define common structure in a FullWrite file

## Typedef Documentation

## ◆ EntryPtr

typedef std::shared_ptr<Entry> FullWrtStruct::EntryPtr

## Function Documentation

## ◆ getColor()

bool FullWrtStruct::getColor | ( | int | color,
|  | MWAWColor & | col )

try to convert a file data to a color

Referenced by FullWrtStruct::Border::read(), FullWrtText::readDataMod(), and FullWrtText::sendHiddenItem().

## ◆ getTypeName()

std::string FullWrtStruct::getTypeName | ( | int | type | ) |

returns the type name

Referenced by FullWrtParser::getDocumentTypeName(), FullWrtParserInternal::DocZoneStruct::operator<<, and FullWrtStruct::ZoneHeader::operator<<.

## ◆ operator<<() [1/3]

std::ostream & FullWrtStruct::operator<< | ( | std::ostream & | o,
|  | Border const & | p )

## ◆ operator<<() [2/3]

std::ostream & FullWrtStruct::operator<< | ( | std::ostream & | o,
|  | Entry const & | entry )

## ◆ operator<<() [3/3]

std::ostream & FullWrtStruct::operator<< | ( | std::ostream & | o,
|  | ZoneHeader const & | dt )